RagTimeTextInternal::TextZone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTimeTextInternal::TextZone Struct Reference

Internal: a text's zone of a RagTimeText. More...

## Public Member Functions
| TextZone ()
| constructor More...

## Public Attributes
MWAWEntry | m_textPos
| the text zone More...
std::vector< long > | m_fontPosList
| the beginning of character properties in the text zone More...
std::vector< MWAWFont > | m_fontList
| the list of character's properties More...
std::vector< long > | m_paragraphPosList
| the beginning of paragraph properties in the text zone More...
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph's properties More...
std::vector< Token > | m_tokenList
| the list of tokens More...
bool | m_isSent
| true if the zone is sent to the listener More...

## Detailed Description

Internal: a text's zone of a RagTimeText.

## Constructor & Destructor Documentation

## ◆ TextZone()

RagTimeTextInternal::TextZone::TextZone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_fontList

std::vector<MWAWFont> RagTimeTextInternal::TextZone::m_fontList

the list of character's properties

Referenced by RagTimeText::readFonts(), and RagTimeText::send().

## ◆ m_fontPosList

std::vector<long> RagTimeTextInternal::TextZone::m_fontPosList

the beginning of character properties in the text zone

Referenced by RagTimeText::readFonts(), and RagTimeText::send().

## ◆ m_isSent

bool RagTimeTextInternal::TextZone::m_isSent
| mutable

true if the zone is sent to the listener

Referenced by RagTimeText::flushExtra(), and RagTimeText::send().

## ◆ m_paragraphList

std::vector<MWAWParagraph> RagTimeTextInternal::TextZone::m_paragraphList

the list of paragraph's properties

Referenced by RagTimeText::readParagraphs(), and RagTimeText::send().

## ◆ m_paragraphPosList

std::vector<long> RagTimeTextInternal::TextZone::m_paragraphPosList

the beginning of paragraph properties in the text zone

Referenced by RagTimeText::readParagraphs(), and RagTimeText::send().

## ◆ m_textPos

MWAWEntry RagTimeTextInternal::TextZone::m_textPos

the text zone

Referenced by RagTimeText::send().

## ◆ m_tokenList

std::vector<Token> RagTimeTextInternal::TextZone::m_tokenList

the list of tokens

Referenced by RagTimeText::readTokens(), and RagTimeText::send().

The documentation for this struct was generated from the following file:

- RagTimeText.cxx